"use client";
import { t as e } from "./useIsoLayoutEffect-CKOv1bV_.js";
import { f as t } from "./useRenderElement-CmuWsiNa.js";
//#region ../../node_modules/.bun/@base-ui+utils@0.2.9+f7941a290aa3d619/node_modules/@base-ui/utils/esm/useValueAsRef.js
function n(n) {
	let i = t(r, n).current;
	return i.next = n, e(i.effect), i;
}
function r(e) {
	let t = {
		current: e,
		next: e,
		effect: () => {
			t.current = t.next;
		}
	};
	return t;
}
//#endregion
export { n as t };
